+--------------------------------------+
			VeryIDE Bee 版本更新日志
+--------------------------------------+

+--------------------------------------+
VeryIDE Bee 1.5 Build 2012.09.30
+--------------------------------------+

修正 表单输入项不能对空格进行有效验证的问题，感谢 网友之家 提交问题
修正 表单复选项不能进行空值验证的问题，感谢 大舟山网 提交问题
修正 表单复选项没有进行选值范围验证的问题，感谢 大舟山网 提交问题
修正 辩论结果页“反方”统计值不正确的问题，感谢 许昌论坛 提交问题
修正 附件上传不支持大写扩展名的问题，感谢 得意生活 提交问题
修正 IE6 以下对联广告不能正确定位的问题，感谢 得意生活 提交问题
修正 专题不能生成多页面的问题，感谢 吴越在线 提交问题
修正 各浏览器中“漂浮广告”的表现，感谢 吴越在线 提交问题
修正 投票子选项在被禁用时仍能继续统计的问题，感谢 吴越在线 提交问题
修正 Flash 在没有设置链接时，不能正常设定样式的问题，感谢 网友之家 提交问题
修正 竞拍和抽奖在 IE6 中点击 “更新联系方式” 无反应的问题，感谢 爱威海网 提交问题
修正 活动汇总中心在 IE6 中样式兼容的问题，感谢 爱威海网 提交问题
修正 IE8 浏览器透明滤镜在部分情况下失效的问题，感谢 湖南妈妈网 提交问题
修正 共享广告不能实时更新缓存的问题，感谢 网友之家 提交问题
修正 独立登录窗口不断刷新的问题，感谢 暨阳社区 提交问题
修正 全部应用身份证号码验证失效（18位，去掉过时的15位）的问题，感谢 得意生活 提交问题
修正 随机广告在三条以上时同时展示多条广告的问题，感谢 暨阳社区 反馈问题
修正 免费版不能正常使用 Flash 幻灯广告的问题
修正 进度条宝宝预产期和宝宝成长计时有误差的问题，感谢 淄博妈妈 提交问题
修正 进度条上传图片会创建无效目录的问题，并将图片缓存移至 static 目录
修正 Flash 时钟在 Chrome 浏览器中不能透明（黑色背景）的问题
修正 投票选项组模板不能“自定义”的问题，感谢 仙桃论坛 提交问题
修正 IE9 上传组件不能正常工作的问题，原因是与拖动事件发生冲突
优化 IE6 兼容性若干问题（打开窗口空白、页面滚动条、右下角小提示变形等）
优化 为部分现代浏览器增加 CSS3 效果，例如圆角、阴影等
优化 后台操作窗口拖动不流畅的问题，以及窗口随屏幕尺寸自适应的问题
优化 广告载入去掉不必要统计，减轻服务器压力
优化 广告统计和更新请求由单个换成列队，减轻服务器压力
优化 替补广告由一个变为多个，并改进页面提示，感谢 暨阳社区 提供建议
优化 修正表单中的“红丝带”皮肤风格在导航发生变化时的错位问题
优化 表单、试题、投票和通行证模板变量
优化 投票缓存一分为二，将实时统计作单独缓存以保证投票稳定，感谢 广西时空网 提交问题
优化 系统全局变量和输入数据获取方式，并针对 PHP5.3 进行兼容性调整
优化 “一行两个”表单样式错位的问题，感谢 郑州论坛 提交问题
优化 通行证中用户名获取方式改进，统一改为“account”消除隐患
优化 表单用户数据将自动判断按需显示，感谢 顺义社区网 提出意见
优化 系统样式去除不必要的样式加载（随机参数），减少连接请求
优化 改进投票系统防刷票能力，增加动态加密验证技术，尽可能去除机器投票，感谢 湖南妈妈网 提供建议
优化 减少了部分系统功能和模块对 mbstring 函数扩展的依赖，已改用其它方式实现
优化 【重要】通行证在提交前对用户密码进行了 MD5 传输以提升安全性
优化 合并了“落幅广告”和“滑出广告”两种广告形式，增加了效果控制选项，感谢 暨阳社区 提供建议
优化 广告域名绑定功能，并将访问地址更改为自动匹配
优化 加快后台加载速度，用户登录后，先加载简洁样式，之后再加载用户样式
优化 优化表单，试题和投票的缓存数据结构，查询效率更高
更新 改进缓存目录创建方式，增加自动屏蔽目录索引功能，减少安全隐患
更新 泛表单应用增加配置选项，目前可控制模块范围内的全局头尾主题
更新 专题增加“状态控制”选项，可以控制是否在汇总页显示
更新 专题增加“全局导航”显示状态控制，可以控制是否显示顶部的全局导航
更新 专题 API 列表，添加了“统计分析”和“专题评论”调用说明
更新 进度条新增两项基本配置，并支持同步签名档到论坛
更新 金币竞拍、活动和进度条模板化（Smarty），方便用户根据实际情况自定义
更新 金币竞拍增加个人和网站联系信息编辑和显示区，方便网站联系网友
更新 内置 KindEditor 编辑器升级到最新版，感谢 KindSoft 开源产品
更新 PHPWind 模块增加了手机号码代替用户名登录方式，感谢 高古楼 提供建议
更新 “数据分享”增加在线浏览功能，数据既可下载，也可在线直接浏览
更新 投票增加子选项“分页显示”功能，投票项较多时较有用
更新 针对 PHP 5.3 / 5.4 进行兼容性调整，核心代码大幅优化
更新 统计模块“点击量”增加对 QQ/MSN/Mailto/阿里旺旺 的链接协议支持
更新 竞拍列表增加一个简单的统计，用于显示金币消耗和唯一用户参与数
更新 反馈模块调用代码支持“对齐方式”和“颜色样式”选择，感谢 兰州论坛 提供建议
更新 专题头尾 API 支持直接预览，方便查看实际效果
更新 专题全新升级，现已支持多页面，多模块，支持模块模板与高度自适应
增加 针对 PHPWind 8.7 禁用 IFrame 的问题，特别新增 UBB 调用表单引用代码，感谢 大唐网 提供建议
增加 表单新增用户选项组数据"显示到结果页"功能，感谢 大舟山网 提供建议
增加 “意见反馈”模块，可以应用于全站或针对单独页面进行个性化设置
增加 投票模块增加”验证码“功能，可以有效限制部分刷票
增加 公共用户评论模块，并支持 JS 调用，已整合进专题模块
增加 数据统计新增了数据列表展示方式，方便营销人员复制统计数据
增加 “支付平台”（支付宝和财付通，用于广告和表单的收款）和“社区平台”（新浪微博和腾讯微博）
增加 “短信平台”目前适用于表单提交时给用户发送手机短信
增加 “怀旧经典”用户界面（VeryIDE Apps 风格）供用户设置

+--------------------------------------+
VeryIDE Bee 1.4 Build 2011.10.06
+--------------------------------------+

修正 广告列表不能批量删除广告的Bug
修正 图片延时加载组件缺少一个分号导致在 Firefox 下不能正常工作的Bug
修正 Firefox 浏览器下广告模块中“代码转换”不能正常工作的问题
修正 表单和试题的选项组不能设置子选项换行的问题
修正 表单、试题、投票和辩论的匿名扩展选项和隐藏统计的问题
修正 编辑用户组不能更改图标的问题
修正 免费版广告投放报错的问题，原因是少了广告位高级选项
修正 共享广告不能正常操作的问题
修正 表单等匿名和注册用户扩展数据不能共享的问题
修正 专题系统“小挂件”图片不能正常显示的问题
修正 抽奖系统用户参与次数无效的问题
修正 JSON 转换时在 UTF8 编码下出错的问题
修正 金币竞拍若干问题，涉及二级域名，金币数量和样式等等
修正 金币竞拍倒计时计算错误的问题，感谢 湖北网 协助测试
修正 PHPWind 在部分环境下不能同步退出的问题，感谢 吴越在线 协助测试
修正 表单、投票等应用不能正常删除子选项的问题，感谢 吴越在线 协助测试
修正 表单、投票等应用“个性化”选项中不能保存附件地址的问题，感谢 吴越在线 协助测试
修正 表单、投票等应用“倒计时”不能正常工作的问题，感谢 大舟山 协助测试
修正 表单、投票等应用用户参与“时间间隔”不能正常初始化的问题，感谢 大舟山 协助测试
修正 表单、投票等应用子选项不能选择“显示排序”的问题，感谢 湖南妈妈网 协助测试
修正 辩论在修改时会丢失正反方票数的问题，感谢 许昌论坛 协助测试
修正 表单中文件上传选项的验证无效的问题，以及非必填项验证问题，感谢 大舟山 和 得意生活 协助测试
修正 “轮换广告”在非 IE 浏览器不能正常工作的问题，原因是不支持动态滤镜
修正 开启代码压缩后会导致分享数据下载会乱码的问题，感谢 京乐汇 协助测试
修正 广告在未开启“统计显示数”时不能正常更新广告状态的问题，感谢 郑州论坛 和 天空电子竞技 协助测试
修正 广告使用简洁投放时点击不能正常跳转的问题，感谢 仙桃论坛 协助测试
修正 论坛用户“马甲切换”时不能同步用户状态的问题，感谢 湖北网 协助测试
修正 进度条图片游标不能正常上传和保存的问题，感谢 湖北网 协助测试
修正 PHP 5.1 以下表单不能正常接收中文数据的问题，感谢 永定网 协助测试
修正 DiscuzX 双核浏览器补丁引起的通行证用户状态无法正常处理的问题，感谢 网友之家 协助测试
修正 部分虚拟主机因目录权限检测导致的 HTTP 500 错误的问题，感谢 m-breeze 协助测试
修正 IE6 浏览器因拖动层位置变化，导致之后创建的窗口尺寸过大的问题，感谢 山水句容 协助测试
更新 “对联广告”在 IE6 以上版本浏览器中使用平滑滚动
更新 恢复了老版本投票的拉票功能
更新 投票选项组增加左对齐功能，适用于纯方字投票
更新 通行证公共函数包，涉及倒计时和 iFrame 尺寸设置
更新 通行证登录支持 mcrypt 扩展检测，未开启则有提示信息输出
更新 试题积分消耗选项，可以控制按每题计算还是按每卷计算
更新 泛表单应用的描述项支持 HTML 代码
更新 泛表单应用的数据增加 IP 地址、拆分日期和时间输出
更新 用户偏好设置支持自定义背景图，并调整圣诞节时期为固定风格
更新 “自定义广告”增加图片预览输出，感谢 暨阳社区 协助测试
更新 通行证用户“资料更新”支持跨域名操作，感谢 长春在线 协助测试
更新 广告位尺寸处增加“常见尺寸”快速输入操作
更新 针对泛表单应用加强了对手机号码输入的验证
增加 试题应用增加“分数”选项，参加的用户都有最终的分数统计，感谢 安源在线 协助测试
增加 投票应用增加“重新计算”功能，快速修正错误计算的分数统计，感谢 得意生活 协助测试
增加 活动排序字段，方便调用数据的排序，后期会移植到泛表单应用中
增加 针对泛表单应用的模板编译增加“编译编号”，防止多模板的互相冲突
增加 针对“图片轮换”的图片跨域问题的最终解决方案
增加 通行证“用户中心”链接和“积分名称”选项
增加 “消费记录”表，用于存放用户金币消费记录
增加 会员信息表增加“学校名称”字段
增加 “对联广告”增加关闭按钮，并可以控制是否显示
增加 “分享到**”，用于生成微博等社会化推广链接
增加 “自定义”广告类型，可以容纳各式内容并以广告的方式进行控制，感谢 暨阳社区 协助测试

+--------------------------------------+
VeryIDE Bee 1.3 Build 2011.07.02
+--------------------------------------+

修正 根目录安装时不能正常删除附件的Bug
修正 获取未知皮肤名称时返回 No name 的Bug
修正 操作窗口透明化转换引起的内容全透明的Bug
修正 非 IE 浏览器拖动小工具不能正常获取 Event 的Bug
修正 非 IE 浏览器展开编辑区域会产生界面错位的Bug
修正 部分服务器下文件资源加载的路径多出 / 的Bug
修正 免费版广告位编辑时部分表单值不能正常初始化的Bug
修正 部分 Windows 服务器不能正常识别路径，导致不能正常安装的问题
修正 部分 Windows 服务器 IIS+PHP 上传不能正常识别根目录的问题
修正 广告位不能正常删除的问题
修正 在播广告修改时会变成禁用状态的问题
修正 商业版专题系统不能正常安装的问题
修正 商业版专题系统在部分服务器不能正常解 *.zip 包的问题
修正 用户参加活动时的邮件通知功能不能正常发送邮件的问题
修正 主框架样式尺寸引起的界面错位问题
修正 读取官网 RSS 数据未作缓存的问题
修正 广告代码投放的若干问题，感谢 万里船 协助测试
修正 开启压缩后“获取 IFRAME 引用代码”页面报错的问题
修正 表单、试题、投票中复选项不能正常统计的问题，感谢 京乐汇 协助测试
修正 表单、试题、投票中多处权限标识错误和“提交按钮”状态问题
修正 表单和投票数据统计出错误的问题
修正 压缩模式下统计报表不能正常工作的问题
修正 试题模块编辑时不能正常保存配置的问题
修正 不能将用户所在组变更为当前用户组的问题
修正 登录时没有更新用户最后活动时间的问题
修正 专题数据存储时的编码问题
修正 IE6 下载表单等数据中文文件名不能正常显示的问题
修正 PHP5.3 中通行证不能复制用户的问题
修正 DiscuzX1.5 不能同步登录和退出的问题
修正 Chrome 浏览器下投票选项组的“展示风格”不能正常选择的问题，感谢 kuka 协助测试
修正 广告投放代码包含的锚点会在 IE 兼容模式下产生一个多余的空行问题
修正 系统信息中 XML 组件状态判断不正确的问题
更新 通行证登录窗口增加提供商标识输出
更新 未登录窗口可以随窗口尺寸变化重新定位
更新 IE6 浏览器部分兼容性问题
更新 进度条支持独立域名绑定，其他模块入口链接调整为固定地址
增加 “轮换广告 - 多种格式” 来替代 “图片轮换”，解决 FLASH 跨域问题
增加 快捷方式拖动排序功能，更直观，更有效
增加 通行证配置项 Cookies 域名和路径配置
增加 专题公共导航和尾部调用接口，上传专题自动统计功能
增加 Mo.Flash 组件，用来创建 Flash 对象
增加 活动汇总模块，可将表单、试题和投票等进行展示
增加 通行证积分查询和增减函数

+--------------------------------------+
VeryIDE Bee 1.2 Build 2011.05.20
+--------------------------------------+

修正 调整了首页未登录和登录后的JS加载，减少不必要的请求
修正 操作窗口拖动有时会卡的问题
修正 操作窗口切换时层深度调整的问题
修正 操作窗口中关闭顶部弹出菜单的问题
修正 多处链接#引起的窗口变形的问题
修正 通行证和上传模块若干Bug
修正 广告位编辑时 config 字段不能正常保存的Bug
修正 表单单选输入不能正常验证的Bug
修正 各模块前台不能正常载入 analytic 函数包的Bug
修正 操作窗口在 IE 兼容模式下右侧功能按钮错位的问题
修正 通过表单上传附件不能正常保存的Bug
更新 替换右下角功能图标，感谢 PP君 的设计
更新 内置系统主题半透明效果和高清背景图片
增加 操作窗口内部点击时置顶当前窗口的功能
增加 右下角直接前往 VeryIDE 官网的小图标
增加 终端广告投放和版本更新提醒功能

+--------------------------------------+
VeryIDE Bee 1.1 Build 2011.04.21
+--------------------------------------+

修正 安装过程中不能正常写入配置的BUG
修正 浏览器兼容性若干问题
修正 UBB 编辑器报错的BUG
修正 模块中多处JS错误
增加 加载时的动画效果和渐变效果

+--------------------------------------+
VeryIDE Bee 1.0  Build 2011.04.10
+--------------------------------------+

VeryIDE Bee 第一个版本，前身为 VeryIDE Apps
